SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001218SiT!otherpublic2010-04-02 12:142011-04-22 14:50
Reporterpaulh 
Assigned Toivan 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.90beta1Fixed in VersionCurrent GIT 
Summary0001218: do we still need utf8_substr and utf8_strlen
DescriptionAs PHP includes mb_substr and mb_strlen now
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0003626)
ivan (administrator)
2011-02-21 16:59

I think I've already removed these, need to check.
User avatar (0003656)
paulh (administrator)
2011-02-28 09:42

They are still in git

paulh@paulh:~/dev/paulheaneys-sit(master)$ grep -R utf8_substr *
calendar/calendar.inc.php: $html .= "<td>".utf8_substr($htype,0,1)." = {$htype}</td>";
lib/string.inc.php:function utf8_substr($str, $from, $len)
lib/html.inc.php: $html .= urlencode(utf8_substr($i18nAlphabet, $i, 1))."\">";
lib/html.inc.php: $html .= utf8_substr($i18nAlphabet, $i, 1)."</a> | \n";
paulh@paulh:~/dev/paulheaneys-sit(master)$ grep -R utf8_strlen *
lib/string.inc.php:function utf8_strlen($str)
lib/html.inc.php: $len = utf8_strlen($i18nAlphabet);
User avatar (0003657)
ivan (administrator)
2011-02-28 09:47

I think I have unpublished code changes on my main machine at home. I'll have a look later.
User avatar (0003762)
paulh (administrator)
2011-04-22 14:50

non left in git

- Issue History
Date Modified Username Field Change
2010-04-02 12:14 paulh New Issue
2011-02-21 16:58 ivan Assigned To => ivan
2011-02-21 16:58 ivan Status new => assigned
2011-02-21 16:59 ivan Note Added: 0003626
2011-02-21 16:59 ivan Target Version => 3.90beta1
2011-02-28 09:42 paulh Note Added: 0003656
2011-02-28 09:47 ivan Note Added: 0003657
2011-04-22 14:50 paulh Note Added: 0003762
2011-04-22 14:50 paulh Status assigned => resolved
2011-04-22 14:50 paulh Resolution open => fixed
2011-04-22 14:50 paulh Fixed in Version => Current GIT


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker